Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp.parser
Class EnterpriseUnixFTPEntryParser

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.parser.EnterpriseUnixFTPEntryParser

All Implemented Interfaces:
  FTPFileEntryParser

    public class EnterpriseUnixFTPEntryParser

extends RegexFTPFileEntryParserImpl

Parser for the Connect Enterprise Unix FTP Server From Sterling Commerce. Here is a sample of the sort of output line this parser processes: "-C--E-----FTP B QUA1I1 18128 41 Aug 12 13:56 QUADTEST"

Note: EnterpriseUnixFTPEntryParser can only be instantiated through the DefaultFTPParserFactory by classname. It will not be chosen by the autodetection scheme.

Version:
  $Id: EnterpriseUnixFTPEntryParser.java 658518 2008-05-21 01:04:30Z sebb $
Author:
  Winston Ojeda
See Also:
  `FTPFileEntryParser (for usage instructions)`, `DefaultFTPFileEntryParserFactory`

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`EnterpriseUnixFTPEntryParser()` The sole constructor for a EnterpriseUnixFTPEntryParser object.

Method Summary
`FTPFile` | `parseFTPEntry(String entry)` Parses a line of a unix FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches, setRegex`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseUnixFTPEntryParser

    public EnterpriseUnixFTPEntryParser()

  The sole constructor for a EnterpriseUnixFTPEntryParser object.

Method Detail

### parseFTPEntry

    public FTPFile parseFTPEntry(String entry)

  Parses a line of a unix FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` is returned, otherwise a `FTPFile` instance representing the files in the directory is returned.

  Parameters:
    `entry` - A line of text from the file listing
  Returns:
    An FTPFile instance corresponding to the supplied entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.